/*
 *  ILMediaBrowserAudioPlayer.h
 *  iTunesInfo
 *
 *  Created by Dave Jewell on 12/05/2008.
 *  Copyright 2008 Dave Jewell. All rights reserved.
 *
 */

#import <Cocoa/Cocoa.h>

@interface ILMediaBrowserAudioPlayer : NSObject
{
	NSMutableArray *fileList;	// 4 = 0x4
	id audioMovie;	// 8 = 0x8
	NSString *mCurrentAudioFile;	// 12 = 0xc
	BOOL _isPlaying;	// 16 = 0x10
}

+ (id) sharedAudioPlayer;	
- (id) init;
- (void) dealloc;
- (void) addAudioFile: (id) file;
- (void) addAudioFiles: (NSArray *) files;
- (void) removeAllFiles;	
- (void) play: (NSNotification *) notification;
- (void) stop: (id) sender;
- (void) setIsPlaying: (BOOL) value;
- (BOOL) isPlaying;	
- (NSString *) currentAudioFile;
- (BOOL) _isMovieAuthorized: (id) movie;

@end


