/*
 *  ILMediaGroup.h
 *  iTunesInfo
 *
 *  Created by Dave Jewell on 12/05/2008.
 *  Copyright 2008 Dave Jewell. All rights reserved.
 *
 */

#include <Carbon/Carbon.h>

@interface ILMediaGroup : NSObject <NSCopying>
{
	NSString *_ID;	// 4 = 0x4
	NSString *_name;	// 8 = 0x8
	NSImage *_icon;	// 12 = 0xc
	NSURL *_url;	// 16 = 0x10
	NSDate *_modificationDate;	// 20 = 0x14
	NSDictionary *_properties;	// 24 = 0x18
	NSMutableArray *_childGroups;	// 28 = 0x1c
	NSMutableArray *_mediaObjects;	// 32 = 0x20
	NSString *_parentID;	// 36 = 0x24
	int _type;	// 40 = 0x28
	BOOL _dynamicMediaObjects;	// 44 = 0x2c
	id _reserved1;	// 48 = 0x30
	id _reserved2;	// 52 = 0x34
	id _reserved3;	// 56 = 0x38
}

+ (id)modDateForFile:(id)fp8;	// IMP=0x0001616c
- (id) initWithType: (int) type;
- (id)copyWithZone:(struct _NSZone *)fp8;	// IMP=0x0001644c
- (void)dealloc;	// IMP=0x000165a9
- (NSString *) name;	
- (void) setName: (NSString *) name;
- (id)ID;	// IMP=0x00016732
- (void)setID:(id)fp8;	// IMP=0x0001673d
- (id)icon;	// IMP=0x0001679b
- (void)setIcon:(id)fp8;	// IMP=0x000167a6
- (id)URL;	// IMP=0x00016813
- (void)setURL:(id)fp8;	// IMP=0x0001681e
- (id)modificationDate;	// IMP=0x0001687c
- (void)setModificationDate:(id)fp8;	// IMP=0x00016887
- (id)properties;	// IMP=0x000168e5
- (void)setProperties:(id)fp8;	// IMP=0x000168f0
- (int)type;	// IMP=0x00016979
- (void)setType:(int)fp8;	// IMP=0x00016984
- (id)path;	// IMP=0x00016992
- (void)setPath:(id)fp8;	// IMP=0x000169b3
- (id)mediaObjects;	// IMP=0x00016a58
- (id)allMediaObjects;	// IMP=0x00016a7e
- (id)allMediaObjects_SearchedGroups:(id)fp8;	// IMP=0x00016ac2
- (id)iMovieGroupAllMediaObjects;	// IMP=0x00016ca2
- (void)setMediaObjects:(id)fp8;	// IMP=0x00016e10
- (void)setMediaObjectsThreaded:(id)fp8;	// IMP=0x00016e70
- (void)addMediaObjects:(id)fp8;	// IMP=0x00016f00
- (void)addMediaObjectsThreaded:(id)fp8;	// IMP=0x00016f21
- (void)addChildGroups:(id)fp8;	// IMP=0x00016fb1
- (void)addChildGroupsThreaded:(id)fp8;	// IMP=0x00016fd2
- (void)addChildGroupThreaded:(id)fp8;	// IMP=0x00017062
- (void)addChildGroup:(id)fp8;	// IMP=0x000170f2
- (id)childGroups;	// IMP=0x00017113
- (void)setDynamicMediaObjects:(BOOL)fp8;	// IMP=0x0001711e
- (void)setChildGroups:(id)fp8;	// IMP=0x0001712c
- (void)setChildGroupsThreaded:(id)fp8;	// IMP=0x00017190
- (id)allSubfolders;	// IMP=0x00017220
- (id)parentID;	// IMP=0x00017322
- (void)setParentID:(id)fp8;	// IMP=0x0001732d
- (BOOL)isEqual:(id)fp8;	// IMP=0x0001738b
- (id)description;	// IMP=0x000175eb
- (id)objectSpecifier;	// IMP=0x000176cb
- (BOOL)_isiTunesPlaylist;	// IMP=0x000177dc
- (BOOL)_isiPhotoAlbum;	// IMP=0x000177f0
- (BOOL)_isApertureAlbum;	// IMP=0x00017806
- (BOOL)_isiMovieGroup;	// IMP=0x0001781c
- (BOOL)_isGarageBandGroup;	// IMP=0x00017832
- (BOOL)shouldHideCountTextField;	// IMP=0x00017848
- (id)mediaObjectsCountNumber;	// IMP=0x0001785a
- (id)filteredMediaObjectsCount;	// IMP=0x000178a8
- (id)filteredAllMediaObjectsCount;	// IMP=0x00017acc
- (int)iTunesFoldersBeforePlaylistsDisplayOrder;	// IMP=0x00017d0e
- (int)iTunesPlaylistDisplayOrder;	// IMP=0x00017d4e
- (id)attributeForKey:(id)fp8;	// IMP=0x00017e7a
- (id)_childGroupForPath:(id)fp8;	// IMP=0x00017e9b
- (id)_childGroupForPath:(id)fp8 alreadySearched:(id)fp12;	// IMP=0x00017ee6
- (BOOL)updateChildGroup:(id)fp8;	// IMP=0x00018067
- (int)caseInsensitiveCompare:(id)fp8;	// IMP=0x000181cd
- (void)removeObserver:(id)fp8 forKeyPath:(id)fp12;	// IMP=0x0001822c

@end
