/*
 *  ILMediaObject.h
 *  iTunesInfo
 *
 *  Created by Dave Jewell on 12/05/2008.
 *  Copyright 2008 Dave Jewell. All rights reserved.
 *
 */

#import <Cocoa/Cocoa.h>

@interface ILMediaObject : NSObject <NSCopying>
{
	NSString *_ID;	// 4 = 0x4
	NSString *_name;	// 8 = 0x8
	NSImage *_icon;	// 12 = 0xc
	NSString *_path;	// 16 = 0x10
	NSURL *_url;	// 20 = 0x14
	NSString *_aliasResolvedPath;	// 24 = 0x18
	NSDate *_modificationDate;	// 28 = 0x1c
	NSMutableDictionary *_allProperties;	// 32 = 0x20
	NSMutableDictionary *_sourceProperties;	// 36 = 0x24
	NSMutableDictionary *_extendedProperties;	// 40 = 0x28
	BOOL _hasQueriedSpotlightProperties;	// 44 = 0x2c
	NSNumber *_fileSize;	// 48 = 0x30
	NSString *_contentType;	// 52 = 0x34
	int _mediaType;	// 56 = 0x38
	int _mediaSourceType;	// 60 = 0x3c
	NSString *_thumbnailPath;	// 64 = 0x40
	NSImage *_thumbnailImage;	// 68 = 0x44
	id _reserved1;	// 72 = 0x48
	id _reserved2;	// 76 = 0x4c
	id _reserved3;	// 80 = 0x50
}

+ (void) intialize;		// DSJ: Yes, Apple really did spell this wrong!  This won't ever be called, as far as I can tell.....
+ (id)aliasResolvedPath:(id)fp8;	// IMP=0x0001ad7f
+ (id)spotlightPropertyNames;	// IMP=0x0001aeb7
+ (id)spotlightPropertyNamesForGBProjectBundle;	// IMP=0x0001afcc
+ (id)spotlightProperties:(id)fp8;	// IMP=0x0001b110
+ (id)spotlightPropertiesForGBProjectBundle:(id)fp8;	// IMP=0x0001b1b3
- (id)initWithMediaType:(int)fp8 name:(id)fp12;	// IMP=0x00018353
- (id)copyWithZone:(struct _NSZone *)fp8;	// IMP=0x000184b9
- (void)dealloc;	// IMP=0x0001864f
- (int)mediaType;	// IMP=0x00018784
- (int)mediaSourceType;	// IMP=0x0001878f
- (id)contentType;	// IMP=0x0001879a
- (id)name;	// IMP=0x00018882
- (id)ID;	// IMP=0x0001888d
- (id)URL;	// IMP=0x000188b1
- (id)fileSize;	// IMP=0x000188bc
- (id)modificationDate;	// IMP=0x00018972
- (id)displayDate;	// IMP=0x0001897d
- (id)displayDateString;	// IMP=0x00018a34
- (id)fileExtensionString;	// IMP=0x00018abd
- (id)keywords;	// IMP=0x00018b4a
- (id)thumbnailImage;	// IMP=0x00018b9a
- (id)thumbnailPath;	// IMP=0x00018f2f
- (NSImage *) icon;
- (NSDictionary *) attributes;
- (id)properties;	// IMP=0x0001913c
- (id)attributeForKey:(id)fp8;	// IMP=0x00019177
- (BOOL)isManaged;	// IMP=0x00019229
- (BOOL)hasQueriedSpotlightProperties;	// IMP=0x0001923b
- (void)setAttribute:(id)fp8 forKey:(id)fp12;	// IMP=0x00019247
- (void)setName:(id)fp8;	// IMP=0x0001928d
- (void)setID:(id)fp8;	// IMP=0x00019310
- (void)setURL:(id)fp8;	// IMP=0x00019393
- (BOOL) isProtected;
- (void)setIsProtected:(BOOL)fp8;	// IMP=0x00019478
- (void)setPath:(id)fp8;	// IMP=0x000194e0
- (id)path;	// IMP=0x000195c1
- (id) artist;	
- (void) setArtist: (id) artist;	
- (double)duration;	// IMP=0x0001965a
- (void)setDuration:(double)fp8;	// IMP=0x000197bf
- (void)setFileSize:(id)fp8;	// IMP=0x0001982e
- (void)setMediaType:(int)fp8;	// IMP=0x0001988c
- (void)setMediaSourceType:(int)fp8;	// IMP=0x0001989a
- (void)setModificationDate:(id)fp8;	// IMP=0x000198a8
- (void)setContentType:(id)fp8;	// IMP=0x00019906
- (id)aliasResolvedPath;	// IMP=0x00019964
- (void)setIcon:(id)fp8;	// IMP=0x00019b88
- (void)setThumbnailPath:(id)fp8;	// IMP=0x00019bf5
- (void)setThumbnailImage:(id)fp8;	// IMP=0x00019c62
- (id)sourceProperties;	// IMP=0x00019ccf
- (void)setSourceProperties:(id)fp8;	// IMP=0x00019cda
- (id)extendedProperties;	// IMP=0x00019d63
- (void)setExtendedProperties:(id)fp8;	// IMP=0x00019d6e
- (void)setHasQueriedSpotlightProperties:(BOOL)fp8;	// IMP=0x00019df7
- (void)loadSpotlightProperties;	// IMP=0x00019e05
- (void)setSpotlightProperties:(id)fp8;	// IMP=0x00019e28
- (void)setSpotlightPropertiesForGBProjectBundle:(id)fp8;	// IMP=0x0001a509
- (void)querySpotlightProperties;	// IMP=0x0001acc0
- (void)_checkSpotlightForProperties:(struct __MDItem *)fp8;	// IMP=0x0001c1bf
- (void)gatherUnmanagedSpotlightProperties;	// IMP=0x0001b256
- (void)_checkSpotlightPropertiesForGBProjectBundle;	// IMP=0x0001b2a1
- (int)caseInsensitiveCompare:(id)fp8;	// IMP=0x0001bac9
- (id)description;	// IMP=0x0001bb28
- (void)refreshThumbnailCacheInfo;	// IMP=0x0001bbb0
- (void)refreshThumbnailCacheInfoWithoutUpdate;	// IMP=0x0001bbf4
- (id)myThumbnailImage;	// IMP=0x0001bc40
- (id)imageRepresentationType;	// IMP=0x0001bca1
- (id)imageRepresentation;	// IMP=0x0001bd34
- (id)imageUID;	// IMP=0x0001bec6
- (id)imageTitle;	// IMP=0x0001bf1b
- (BOOL)_shouldHideImageBorder;	// IMP=0x0001bfb6
- (unsigned int)imageVersion;	// IMP=0x0001bfd7
- (BOOL)_canUseiTunesAccessForThumbnail;	// IMP=0x0001c048
- (id)objectSpecifier;	// IMP=0x0001c0ae

@end


