/*
 *  ILiTunesMediaManager.h
 *  iTunesInfo
 *
 *  Created by Dave Jewell on 12/05/2008.
 *  Copyright 2008 Dave Jewell. All rights reserved.
 *
 */

#import <Cocoa/Cocoa.h>
#import	"ILMediaManager.h"

@interface ILiTunesMediaManager : ILMediaManager
{
	NSMutableArray *_movieGroups;	// 68 = 0x44
	NSDate *_modificationDate;	// 72 = 0x48
	NSString *_dBasePath;	// 76 = 0x4c
	int _majorAppVersion;	// 80 = 0x50
	NSString *_iTunesAppVersionString;	// 84 = 0x54
	NSString *_musicFolderPath;	// 88 = 0x58
	struct FSRef _musicFolderRef;	// 92 = 0x5c
	id _reserved4;	// 172 = 0xac
	id _reserved5;	// 176 = 0xb0
	id _reserved6;	// 180 = 0xb4
}

+ (id) sharedMediaManager;
+ (void) releaseSharedMediaManager;
- (id) init;
- (void) dealloc;	
- (void) removeAllMediaGroups;
- (id)modificationDate;	// IMP=0x0000cdf1
- (NSString *) dBasePath;
- (NSArray *) playlists;
- (NSArray *) allSongs;
- (NSArray *) mediaObjects;
- (NSString *) iTunesApplicationVersion;
- (id)dictionaryWithPlaylists:(id)fp8;	// IMP=0x0000ce9b
- (id)dictionaryWithSongs:(id)fp8;	// IMP=0x0000d1bb
- (id)albumArtworkForTrack:(id)fp8;	// IMP=0x000105aa
- (id)playlistsInDictionary:(id)fp8;	// IMP=0x0000d57a
- (NSArray *) moviePlaylists;
- (NSArray *) movieGroups;
- (void)setDBasePath:(id)fp8;	// IMP=0x0000de50
- (void)setModificationDate:(id)fp8;	// IMP=0x0000dec8
- (int) maxRating;
- (void)_performLoadData;	// IMP=0x0000df30
- (void)_finishedLoading:(id)fp8;	// IMP=0x0000ee4d
- (void)_finishedMoviePlaylistLoading:(id)fp8;	// IMP=0x0000f000
- (id)playlistFromDictionary:(id)fp8 tracks:(id)fp12;	// IMP=0x0000f0c7
- (void)createPodcastSubscriptionGroups:(id)fp8;	// IMP=0x0000f472
- (id)playlistTrackFromDictionary:(id)fp8;	// IMP=0x0000f7bc
- (int)playlistTypeFromDictionary:(id)fp8;	// IMP=0x0000fb9f
- (void)watchedPathChanged:(id)fp8 fileChangedEventFlags:(unsigned int)fp12;	// IMP=0x0000fe88
- (id)iAppsPlistDBasePath;	// IMP=0x0001007e
- (void)syncToiAppsPlistDBasePath;	// IMP=0x000101c5
- (void)setAutoReloadEnabled:(BOOL)fp8;	// IMP=0x00010300
- (NSString *) displayName;
- (NSImage *) displayImage;
- (NSString *) uniqueID;
- (BOOL) canLoadData;
- (BOOL)appInstalled;	// IMP=0x00010560
- (BOOL) loadediTunesArtworkFramework;	
	 
@end

